#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname		systemd
Summary:	PHP extension allowing native interaction with systemd and its journal
Name:		%{php_name}-%{modname}
Version:	0.1.2
Release:	3
License:	BSD
Group:		Development/Languages/PHP
Source0:	https://github.com/systemd/php-systemd/archive/release-%{version}/php-%{modname}-%{version}.tar.gz
# Source0-md5:	78e01f7e17c803008235f22eb4b75a85
Patch0:		libsystemd.patch
URL:		https://github.com/systemd/php-systemd
BuildRequires:	%{php_name}-devel
BuildRequires:	rpmbuild(macros) >= 1.666
BuildRequires:	systemd-devel
%if %{with tests}
BuildRequires:    %{php_name}-cli
BuildRequires:    %{php_name}-pcre
%endif
%{?requires_php_extension}
Provides:	php(systemd) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP extension allowing native interaction with systemd and journal

%prep
%setup -qc
mv php-%{modname}-*/* .
%patch0 -p1

%build
phpize
%configure
%{__make}

%if %{with tests}
# simple module load test
%{__php} -n -q \
	-d extension_dir=modules \
	-d extension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log

export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
%{__make} test \
	PHP_EXECUTABLE=%{__php} \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS="pcre"
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README.md LICENSE.txt
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Feb 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-systemd.git;a=log;h=auto/th/php-systemd-0.1.2-3

* Sun Feb 26 2017 Jan Rękorajski <baggins@pld-linux.org> fa37ac2
- fix linking with systemdd 232
- rel 3

* Mon Nov 23 2015 Elan Ruusamäe <glen@delfi.ee> b7e6088
- php 7.0.0RC6 rebuild
- release 2 (by relup.sh)

* Thu Nov 05 2015 Elan Ruusamäe <glen@delfi.ee> 9f878e2
- up to 0.1.2, tests require pcre

* Wed May 21 2014 Elan Ruusamäe <glen@delfi.ee> dde3b96
- fix build with dynamic php name

* Wed Apr 30 2014 Elan Ruusamäe <glen@delfi.ee> 86e562a
- release 2 (by relup.sh)

* Fri Mar 07 2014 Elan Ruusamäe <glen@delfi.ee> c8bf01c
- up to 0.1.1

* Thu Mar 06 2014 Elan Ruusamäe <glen@delfi.ee> 05ee5ea
- do not use name macro in url, it's not constant

* Thu Mar 06 2014 Elan Ruusamäe <glen@delfi.ee> 9941b0c
- new, version 0.1

